Bug 746226 - (CVE-2011-3256) CVE-2011-3256 freetype: FT_Bitmap_New integer overflow, FreeType TT_Vary_Get_Glyph_Deltas improper input validation
CVE-2011-3256 freetype: FT_Bitmap_New integer overflow, FreeType TT_Vary_Get_...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20111012,repo...
: Security
Depends On: 747081 747082 747083 747084 747941 749174 749175 785154 806289 889398
Blocks: 746228 785174
  Show dependency treegraph
 
Reported: 2011-10-14 08:51 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:13 EST (History)
4 users (show)

See Also:
Fixed In Version: freetype 2.4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 11:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (6.64 KB, patch)
2011-10-18 10:55 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-10-14 08:51:24 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3256 to
the following vulnerability:

FreeType in CoreGraphics in Apple iOS before 5 allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted font.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3256
[2] http://support.apple.com/kb/HT4999
[3] http://lists.apple.com/archives/Security-announce/2011//Oct/msg00001.html

Relevant upstream patch:
[4] http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=9c98fbf634a83c6ea286395f0e788956eafd5aeb
Comment 5 Huzaifa S. Sidhpurwala 2011-10-18 10:55:03 EDT
Created attachment 528829 [details]
upstream patch
Comment 6 Ramon de C Valle 2011-10-18 13:03:15 EDT
It seems that this issue not only affects the versions of FreeType as shipped with Red Hat Enterprise Linux 4, 5 and 6, but also affects the versions of FreeType embedded in other packages. I'm still not sure if ots can influence on something for Firefox and Thunderbird, because it would reduce its score considerably.
Comment 11 errata-xmlrpc 2011-10-25 14:22:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1402 https://rhn.redhat.com/errata/RHSA-2011-1402.html
Comment 12 Ramon de C Valle 2011-10-26 08:10:25 EDT
Created mingw32-freetype tracking bugs for this issue

Affects: fedora-all [bug 749175]
Comment 13 Ramon de C Valle 2011-10-26 08:10:28 EDT
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 749174]
Comment 14 errata-xmlrpc 2012-02-02 17:33:24 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:0094 https://rhn.redhat.com/errata/RHSA-2012-0094.html

Note You need to log in before you can comment on or make changes to this bug.